import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'completeStatus',
  standalone: true
})
export class CompleteStatusPipe implements PipeTransform {

  transform(statusNum: number): string {
    switch (statusNum) {
      case 1:
        return '已完善';
      case 2:
        return '基本信息';
      case 3:
        return '结算信息';
      case 4:
        return '门店信息';
      default:
        return '未知';
    }
  }
}
